/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.sensor;

import nl.cloudfarming.client.geoviewer.Category;
import nl.cloudfarming.client.geoviewer.LayerAction;
import nl.cloudfarming.client.geoviewer.RasterLayer;
import org.openide.util.NbBundle;

/**
 *
 * @author Timon Veenstra
 */
public class LinkedSensorDataLayer extends RasterLayer {

    private final SensorDataLayerObject.KeyAttribute keyAttribute;

    public LinkedSensorDataLayer(SensorDataLayerObject.KeyAttribute keyAttribute) {
        super(SensorPalette.PALLET01_04, Category.SENSOR, NbBundle.getMessage(UnlinkedSensorDataLayer.class, "layer.name.sensor.linked",keyAttribute));
        this.keyAttribute = keyAttribute;

        SensorService sensorService = new SensorService();
        setRaster(RasterFactory.createRaster(sensorService.findlinkedSensorData()));
        
    }

    @Override
    public LayerAction[] getActions() {
        return new LayerAction[]{new ChangePaletteAction()};
    }
}
