/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.sensor.files;

import java.awt.BorderLayout;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import org.jdesktop.swingx.JXTable;

/**
 * Panel containing sensor run general information 
 * and plot specific sensor runs
 *
 * @author Timon Veenstra
 */
public class SensorFilesPanel extends JPanel {

    private final JXTable sensorRunTable;
    private final JScrollPane scrollPane = new JScrollPane();

    SensorFilesPanel(SensorFilesTableModel model) {
        setLayout(new BorderLayout());
        sensorRunTable = new JXTable(model);
        scrollPane.getViewport().add(sensorRunTable);
        add(scrollPane);
    }
    
}
